LsAgent installation requirements

LsAgent is a feature introduced in Lansweeper 7.0. If you are using an older Lansweeper release, you will need to update by following the instructions in this knowledge base article.
Not all Lansweeper licenses support scanning via LsAgent. If your particular license does not support this feature, please visit this page for more information.

Lansweeper includes several agentless scanning methods to scan the assets in your network. You can scan the Linux, Unix, Mac and Windows computers, VMware servers and other devices in your network without installing any Lansweeper software on the machines you're scanning. Optionally, you can scan your computers with a scanning agent instead.

LsAgent is a scanning agent introduced in Lansweeper 7.0. It is a cross-platform, lightweight program that you can install on Windows, Linux and Mac computers and that automatically collects an inventory from the computer it's installed on. LsAgent sends scanned data back to your Lansweeper installation, either directly or through our relay server in the cloud. Data is securely sent to the relay server over HTTPS, stored in an encrypted format and deleted once a scanning server has retrieved it. Thanks to the relay server connectivity, LsAgent can even scan computers outside of your network and over the Internet.

LsAgent can be installed and runs successfully on the following operating systems:

Windows

Windows client machines must have .NET Framework 4.6.1 (or higher) installed in order to run and be scanned by LsAgent. The following operating systems support .NET Framework 4.6.1 and hence can be scanned by LsAgent, if .NET 4.6.1 (or higher) is installed:

  • Windows 7, SP1 (x86 and x64)
  • Windows 8 (x86 and x64)
  • Windows 8.1 (x86 and x64)
  • Windows 10 (x86 and x64)
  • Windows Server 2008 R2, SP1 (x64)
  • Windows Server 2012 (x64)
  • Windows Server 2012 R2 (x64)
  • Windows Server 2016 (x64)
  • Windows Server 2019 (x64)

Linux

Linux client machines must have .NET Core 2.1 installed in order to run and be scanned by LsAgent. The following operating systems support .NET Core 2.1 and hence can be scanned by LsAgent, if .NET Core 2.1 is installed:

  • Alpine Linux, version 3.7 or higher (x64)
  • CentOS, version 7 or higher (x64)
  • Debian, version 8.7 or higher (x64)
  • Fedora, version 27 or higher (x64)
  • Linux Mint, version 17 or higher (x64)
  • openSUSE, version 42.3 or higher (x64)
  • Oracle Linux, version 7 or higher (x64)
  • Red Hat Enterprise Linux, version 6 or higher (x64)
  • SUSE Enterprise Linux (SLES), version 12 SP2 or higher (x64)
  • Ubuntu, version 14.04 or higher (x64)

Mac

Mac client machines must have .NET Core 2.1 installed in order to run and be scanned by LsAgent. The following operating systems support .NET Core 2.1 and hence can be scanned by LsAgent, if .NET Core 2.1 is installed:

  • macOS 10.12 Sierra (x64)
  • macOS 10.13 High Sierra (x64)
  • macOS 10.14 Mojave (x64)
  • macOS 10.15 Catalina (x64)
Make sure you use the latest LsAgent version for Mac. LsAgent version 7.2.100.1 or higher is required for macOS 10.15.

Related Articles